Gengrid Item

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Enumerations | Functions
Gengrid Item
Elementary » Gengrid (Generic grid)

Elementary gengrid item class. More...

## Macros
#define | ELM_GENGRID_ITEM_CLASS elm_gengrid_item_class_get()
| Get gengrid item class.

## Enumerations
enum | Elm_Gengrid_Item_Scrollto_Type { ELM_GENGRID_ITEM_SCROLLTO_NONE = 0 , ELM_GENGRID_ITEM_SCROLLTO_IN = 1 , ELM_GENGRID_ITEM_SCROLLTO_TOP = 2 , ELM_GENGRID_ITEM_SCROLLTO_MIDDLE = 4 , ELM_GENGRID_ITEM_SCROLLTO_BOTTOM = 8 }
| Defines where to position the item in the genlist. More...
enum | Elm_Gengrid_Item_Field_Type { ELM_GENGRID_ITEM_FIELD_ALL = 0 , ELM_GENGRID_ITEM_FIELD_TEXT = 1 , ELM_GENGRID_ITEM_FIELD_CONTENT = 2 , ELM_GENGRID_ITEM_FIELD_STATE = 4 }
| Defines the type of the item part Used while updating item's parts. More...

## Functions
EOAPI Elm_Widget_Item * | elm_obj_gengrid_item_prev_get (const Eo *obj)
| Get the previous item in a gengrid widget's internal list of items, given a handle to one of those items.
EOAPI Elm_Widget_Item * | elm_obj_gengrid_item_next_get (const Eo *obj)
| Get the next item in a gengrid widget's internal list of items, given a handle to one of those items.
EOAPI void | elm_obj_gengrid_item_selected_set (Eo *obj, Eina_Bool selected)
| Control whether a given gengrid item is selected or not.
EOAPI Eina_Bool | elm_obj_gengrid_item_selected_get (const Eo *obj)
| Control whether a given gengrid item is selected or not.
EOAPI const Elm_Gengrid_Item_Class * | elm_obj_gengrid_item_class_get (const Eo *obj)
| Get the Gengrid Item class for the given Gengrid Item.
EOAPI int | elm_obj_gengrid_item_index_get (const Eo *obj)
| Get the index of the item.
EOAPI void | elm_obj_gengrid_item_pos_get (const Eo *obj, unsigned int *x, unsigned int *y)
| Get a given gengrid item's position, relative to the whole gengrid's grid area.
EOAPI void | elm_obj_gengrid_item_select_mode_set (Eo *obj, Elm_Object_Select_Mode mode)
| Control the gengrid item's select mode.
EOAPI Elm_Object_Select_Mode | elm_obj_gengrid_item_select_mode_get (const Eo *obj)
| Control the gengrid item's select mode.
EOAPI void | elm_obj_gengrid_item_custom_size_set (Eo *obj, int w, int h)
| Custom size mode for non-homogeneous gengrid.
EOAPI void | elm_obj_gengrid_item_custom_size_get (const Eo *obj, int *w, int *h)
| Custom size mode for non-homogeneous gengrid.
EOAPI void | elm_obj_gengrid_item_show (Eo *obj, Elm_Gengrid_Item_Scrollto_Type type)
| Show the portion of a gengrid's internal grid containing a given item, immediately.
EOAPI void | elm_obj_gengrid_item_bring_in (Eo *obj, Elm_Gengrid_Item_Scrollto_Type type)
| Animatedly bring in, to the visible area of a gengrid, a given item on it.
EOAPI void | elm_obj_gengrid_item_update (Eo *obj)
| Update the contents of a given gengrid item.
EOAPI void | elm_obj_gengrid_item_fields_update (Eo *obj, const char *parts, Elm_Gengrid_Item_Field_Type itf)
| Update the part of an item.
EOAPI void | elm_obj_gengrid_item_class_update (Eo *obj, const Elm_Gengrid_Item_Class *itc)
| Update the item class of a gengrid item.
EOAPI void | elm_obj_gengrid_item_all_contents_unset (Eo *obj, Eina_List **l)
| Unset all contents fetched by the item class.
Elm_Widget_Item * | elm_gengrid_item_prev_get (const Elm_Gengrid_Item *obj)
| Get the previous item in a gengrid widget's internal list of items, given a handle to one of those items.
Elm_Widget_Item * | elm_gengrid_item_next_get (const Elm_Gengrid_Item *obj)
| Get the next item in a gengrid widget's internal list of items, given a handle to one of those items.
void | elm_gengrid_item_selected_set (Elm_Gengrid_Item *obj, Eina_Bool selected)
| Control whether a given gengrid item is selected or not.
Eina_Bool | elm_gengrid_item_selected_get (const Elm_Gengrid_Item *obj)
| Control whether a given gengrid item is selected or not.
const Elm_Gengrid_Item_Class * | elm_gengrid_item_item_class_get (const Elm_Gengrid_Item *obj)
| Get the Gengrid Item class for the given Gengrid Item.
int | elm_gengrid_item_index_get (const Elm_Gengrid_Item *obj)
| Get the index of the item.
void | elm_gengrid_item_pos_get (const Elm_Gengrid_Item *obj, unsigned int *x, unsigned int *y)
| Get a given gengrid item's position, relative to the whole gengrid's grid area.
void | elm_gengrid_item_select_mode_set (Elm_Gengrid_Item *obj, Elm_Object_Select_Mode mode)
| Control the gengrid item's select mode.
Elm_Object_Select_Mode | elm_gengrid_item_select_mode_get (const Elm_Gengrid_Item *obj)
| Control the gengrid item's select mode.
void | elm_gengrid_item_custom_size_set (Elm_Gengrid_Item *obj, int w, int h)
| Custom size mode for non-homogeneous gengrid.
void | elm_gengrid_item_custom_size_get (const Elm_Gengrid_Item *obj, int *w, int *h)
| Custom size mode for non-homogeneous gengrid.
void | elm_gengrid_item_show (Elm_Gengrid_Item *obj, Elm_Gengrid_Item_Scrollto_Type type)
| Show the portion of a gengrid's internal grid containing a given item, immediately.
void | elm_gengrid_item_bring_in (Elm_Gengrid_Item *obj, Elm_Gengrid_Item_Scrollto_Type type)
| Animatedly bring in, to the visible area of a gengrid, a given item on it.
void | elm_gengrid_item_update (Elm_Gengrid_Item *obj)
| Update the contents of a given gengrid item.
void | elm_gengrid_item_fields_update (Elm_Gengrid_Item *obj, const char *parts, Elm_Gengrid_Item_Field_Type itf)
| Update the part of an item.
void | elm_gengrid_item_item_class_update (Elm_Gengrid_Item *obj, const Elm_Gengrid_Item_Class *itc)
| Update the item class of a gengrid item.
void | elm_gengrid_item_all_contents_unset (Elm_Gengrid_Item *obj, Eina_List **l)
| Unset all contents fetched by the item class.

## Detailed Description

Elementary gengrid item class.

## Macro Definition Documentation

## ◆ ELM_GENGRID_ITEM_CLASS

#define ELM_GENGRID_ITEM_CLASS elm_gengrid_item_class_get()

Get gengrid item class.

## Enumeration Type Documentation

## ◆ Elm_Gengrid_Item_Scrollto_Type

enum Elm_Gengrid_Item_Scrollto_Type

Defines where to position the item in the genlist.

Enumerator
ELM_GENGRID_ITEM_SCROLLTO_NONE | No scrollto.
ELM_GENGRID_ITEM_SCROLLTO_IN | To the nearest viewport.
ELM_GENGRID_ITEM_SCROLLTO_TOP | To the top of viewport.
ELM_GENGRID_ITEM_SCROLLTO_MIDDLE | To the middle of viewport.
ELM_GENGRID_ITEM_SCROLLTO_BOTTOM | To the bottom of viewport.

## ◆ Elm_Gengrid_Item_Field_Type

enum Elm_Gengrid_Item_Field_Type

Defines the type of the item part Used while updating item's parts.

It can be used at updating multi fields.

Enumerator
ELM_GENGRID_ITEM_FIELD_ALL | Type all.
ELM_GENGRID_ITEM_FIELD_TEXT | Type text.
ELM_GENGRID_ITEM_FIELD_CONTENT | Type content.
ELM_GENGRID_ITEM_FIELD_STATE | Type state.

## Function Documentation

## ◆ elm_obj_gengrid_item_prev_get()

EOAPI Elm_Widget_Item * elm_obj_gengrid_item_prev_get | ( | const Eo * | obj | ) |

Get the previous item in a gengrid widget's internal list of items, given a handle to one of those items.

This returns the item placed before the `item`, on the container gengrid.

Parameters

  [in] | obj | The object.

Returns
  The item before `item`, or `NULL` if there's none (and on errors)

Referenced by elm_gengrid_item_prev_get().

## ◆ elm_obj_gengrid_item_next_get()

EOAPI Elm_Widget_Item * elm_obj_gengrid_item_next_get | ( | const Eo * | obj | ) |

Get the next item in a gengrid widget's internal list of items, given a handle to one of those items.

This returns the item placed after the `item`, on the container gengrid.

Parameters

  [in] | obj | The object.

Returns
  The item after `item`, or `NULL` if there's none (and on errors)

Referenced by elm_gengrid_item_next_get().

## ◆ elm_obj_gengrid_item_selected_set()

EOAPI void elm_obj_gengrid_item_selected_set | ( | Eo * | obj,
|  | Eina_Bool | selected
| ) |  |

Control whether a given gengrid item is selected or not.

This API returns true for all the items selected in multi-select mode as well.

This sets the selected state of an item. If multi-selection is not enabled on the containing gengrid and `selected` is true, any other previously selected items will get unselected in favor of this new one.

Parameters

  [in] | obj | The object.
  [in] | selected | The selected state ($true selected, `false` not selected)

Referenced by elm_gengrid_item_selected_set().

## ◆ elm_obj_gengrid_item_selected_get()

EOAPI Eina_Bool elm_obj_gengrid_item_selected_get | ( | const Eo * | obj | ) |

Control whether a given gengrid item is selected or not.

This API returns true for all the items selected in multi-select mode as well.

This sets the selected state of an item. If multi-selection is not enabled on the containing gengrid and `selected` is true, any other previously selected items will get unselected in favor of this new one.

Parameters

  [in] | obj | The object.

Returns
  The selected state ($true selected, `false` not selected)

Referenced by elm_gengrid_item_selected_get().

## ◆ elm_obj_gengrid_item_class_get()

EOAPI const Elm_Gengrid_Item_Class * elm_obj_gengrid_item_class_get | ( | const Eo * | obj | ) |

Get the Gengrid Item class for the given Gengrid Item.

This returns the Gengrid_Item_Class for the given item. It can be used to examine the function pointers and item_style.

Parameters

  [in] | obj | The object.

Returns
  Gengrid Item class for the given item

Referenced by elm_gengrid_item_item_class_get().

## ◆ elm_obj_gengrid_item_index_get()

EOAPI int elm_obj_gengrid_item_index_get | ( | const Eo * | obj | ) |

Get the index of the item.

It is only valid once displayed.

Parameters

  [in] | obj | The object.

Returns
  The position inside the list of item.

Referenced by elm_gengrid_item_index_get().

## ◆ elm_obj_gengrid_item_pos_get()

EOAPI void elm_obj_gengrid_item_pos_get | ( | const Eo * | obj,
|  | unsigned int * | x,
|  | unsigned int * | y
| ) |  |

Get a given gengrid item's position, relative to the whole gengrid's grid area.

This returns the "logical" position of the item within the gengrid. For example, $(0, 1) would stand for first row, second column.

Parameters

  [in] | obj | The object.
  [out] | x | Pointer to variable to store the item's row number.
  [out] | y | Pointer to variable to store the item's column number.

Referenced by elm_gengrid_item_pos_get().

## ◆ elm_obj_gengrid_item_select_mode_set()

EOAPI void elm_obj_gengrid_item_select_mode_set | ( | Eo * | obj,
|  | Elm_Object_Select_Mode | mode
| ) |  |

Control the gengrid item's select mode.

(If getting mode fails, it returns ELM_OBJECT_SELECT_MODE_MAX)

elm_gengrid_select_mode_set() changes item's select mode. - ELM_OBJECT_SELECT_MODE_DEFAULT : The item will only call their selection func and callback when first becoming selected. Any further clicks will do nothing, unless you set always select mode. - ELM_OBJECT_SELECT_MODE_ALWAYS : This means that, even if selected, every click will make the selected callbacks be called. - ELM_OBJECT_SELECT_MODE_NONE : This will turn off the ability to select the item entirely and they will neither appear selected nor call selected callback functions. - ELM_OBJECT_SELECT_MODE_DISPLAY_ONLY : This will apply no-finger-size rule with ELM_OBJECT_SELECT_MODE_NONE. No-finger-size rule makes an item can be smaller than lower limit. Clickable objects should be bigger than human touch point device (your finger) for some touch or small screen devices. So it is enabled, the item can be shrink than predefined finger-size value. And the item will be updated.

Parameters

  [in] | obj | The object.
  [in] | mode | The selected mode

Referenced by elm_gengrid_item_select_mode_set().

## ◆ elm_obj_gengrid_item_select_mode_get()

EOAPI Elm_Object_Select_Mode elm_obj_gengrid_item_select_mode_get | ( | const Eo * | obj | ) |

Control the gengrid item's select mode.

(If getting mode fails, it returns ELM_OBJECT_SELECT_MODE_MAX)

elm_gengrid_select_mode_set() changes item's select mode. - ELM_OBJECT_SELECT_MODE_DEFAULT : The item will only call their selection func and callback when first becoming selected. Any further clicks will do nothing, unless you set always select mode. - ELM_OBJECT_SELECT_MODE_ALWAYS : This means that, even if selected, every click will make the selected callbacks be called. - ELM_OBJECT_SELECT_MODE_NONE : This will turn off the ability to select the item entirely and they will neither appear selected nor call selected callback functions. - ELM_OBJECT_SELECT_MODE_DISPLAY_ONLY : This will apply no-finger-size rule with ELM_OBJECT_SELECT_MODE_NONE. No-finger-size rule makes an item can be smaller than lower limit. Clickable objects should be bigger than human touch point device (your finger) for some touch or small screen devices. So it is enabled, the item can be shrink than predefined finger-size value. And the item will be updated.

Parameters

  [in] | obj | The object.

Returns
  The selected mode

Referenced by elm_gengrid_item_select_mode_get().

## ◆ elm_obj_gengrid_item_custom_size_set()

EOAPI void elm_obj_gengrid_item_custom_size_set | ( | Eo * | obj,
|  | int | w,
|  | int | h
| ) |  |

Custom size mode for non-homogeneous gengrid.

Resize dimensions of a gengrid item.

In case of a horizontal grid, only the widths only be resized and in case of vertical only the heights can be resized. Item size should be set by elm_gengrid_item_size_set() beforehand.

The values set by elm_gengrid_item_size_set() will be used for the dimension that remains fixed.

Parameters

  [in] | obj | The object.
  [in] | w | The item's width.
  [in] | h | The item's height.

Since
  1.19

Referenced by elm_gengrid_item_custom_size_set().

## ◆ elm_obj_gengrid_item_custom_size_get()

EOAPI void elm_obj_gengrid_item_custom_size_get | ( | const Eo * | obj,
|  | int * | w,
|  | int * | h
| ) |  |

Custom size mode for non-homogeneous gengrid.

Get the dimensions of a gengrid item.

Gives the dimensions set with elm_gengrid_item_custom_size_set(). If the item has not been modified values set with elm_gengrid_item_size_set() are obtained.

Parameters

  [in] | obj | The object.
  [out] | w | The item's width.
  [out] | h | The item's height.

Since
  1.19

Referenced by elm_gengrid_item_custom_size_get().

## ◆ elm_obj_gengrid_item_show()

EOAPI void elm_obj_gengrid_item_show | ( | Eo * | obj,
|  | Elm_Gengrid_Item_Scrollto_Type | type
| ) |  |

Show the portion of a gengrid's internal grid containing a given item, immediately.

This causes gengrid to redraw its viewport's contents to the region containing the given `item` item, if it is not fully visible.

Parameters

  [in] | obj | The object.
  [in] | type | Where to position the item in the viewport.

Referenced by elm_gengrid_item_show().

## ◆ elm_obj_gengrid_item_bring_in()

EOAPI void elm_obj_gengrid_item_bring_in | ( | Eo * | obj,
|  | Elm_Gengrid_Item_Scrollto_Type | type
| ) |  |

Animatedly bring in, to the visible area of a gengrid, a given item on it.

This causes gengrid to jump to the given `item` and show it (by scrolling), if it is not fully visible. This will use animation to do so and take a period of time to complete.

Parameters

  [in] | obj | The object.
  [in] | type | Where to position the item in the viewport.

Referenced by elm_gengrid_item_bring_in().

## ◆ elm_obj_gengrid_item_update()

EOAPI void elm_obj_gengrid_item_update | ( | Eo * | obj | ) |

Update the contents of a given gengrid item.

This updates an item by calling all the item class functions again to get the contents, texts and states. Use this when the original item data has changed and you want the changes to be reflected.

Parameters

  [in] | obj | The object.

Referenced by elm_gengrid_item_update().

## ◆ elm_obj_gengrid_item_fields_update()

EOAPI void elm_obj_gengrid_item_fields_update | ( | Eo * | obj,
|  | const char * | parts,
|  | Elm_Gengrid_Item_Field_Type | itf
| ) |  |

Update the part of an item.

This updates an item's part by calling item's fetching functions again to get the contents, texts and states. Use this when the original item data has changed and the changes are desired to be reflected. Second parts argument is used for globbing to match '*', '?', and '.' It can be used at updating multi fields.

Use elm_gengrid_realized_items_update() to update an item's all property.

Parameters

  [in] | obj | The object.
  [in] | parts | The name of item's part
  [in] | itf | The type of item's part type

Since
  1.15

Referenced by elm_gengrid_item_fields_update().

## ◆ elm_obj_gengrid_item_class_update()

EOAPI void elm_obj_gengrid_item_class_update | ( | Eo * | obj,
|  | const Elm_Gengrid_Item_Class * | itc
| ) |  |

Update the item class of a gengrid item.

This sets another class of the item, changing the way that it is displayed. After changing the item class, elm_gengrid_item_update() is called on the item `it`.

Parameters

  [in] | obj | The object.
  [in] | itc | The gengrid item class describing the function pointers and the item style.

Referenced by elm_gengrid_item_item_class_update().

## ◆ elm_obj_gengrid_item_all_contents_unset()

EOAPI void elm_obj_gengrid_item_all_contents_unset | ( | Eo * | obj,
|  | Eina_List ** | l
| ) |  |

Unset all contents fetched by the item class.

This instructs gengrid to release references to contents in the item, meaning that they will no longer be managed by gengrid and are floating "orphans" that can be re-used elsewhere if the user wants to.

Parameters

  [in] | obj | The object.
  [out] | l | The contents list to return.

Since
  1.18

Referenced by elm_gengrid_item_all_contents_unset().

## ◆ elm_gengrid_item_prev_get()

Elm_Widget_Item * elm_gengrid_item_prev_get | ( | const Elm_Gengrid_Item * | obj | ) |

Get the previous item in a gengrid widget's internal list of items, given a handle to one of those items.

This returns the item placed before the `item`, on the container gengrid.

Parameters

  [in] | obj | The object.

Returns
  The item before `item`, or `NULL` if there's none (and on errors)

References elm_obj_gengrid_item_prev_get().

## ◆ elm_gengrid_item_next_get()

Elm_Widget_Item * elm_gengrid_item_next_get | ( | const Elm_Gengrid_Item * | obj | ) |

Get the next item in a gengrid widget's internal list of items, given a handle to one of those items.

This returns the item placed after the `item`, on the container gengrid.

Parameters

  [in] | obj | The object.

Returns
  The item after `item`, or `NULL` if there's none (and on errors)

References elm_obj_gengrid_item_next_get().

## ◆ elm_gengrid_item_selected_set()

void elm_gengrid_item_selected_set | ( | Elm_Gengrid_Item * | obj,
|  | Eina_Bool | selected
| ) |  |

Control whether a given gengrid item is selected or not.

This API returns true for all the items selected in multi-select mode as well.

This sets the selected state of an item. If multi-selection is not enabled on the containing gengrid and `selected` is true, any other previously selected items will get unselected in favor of this new one.

Parameters

  [in] | obj | The object.
  [in] | selected | The selected state ($true selected, `false` not selected)

References elm_obj_gengrid_item_selected_set().

## ◆ elm_gengrid_item_selected_get()

Eina_Bool elm_gengrid_item_selected_get | ( | const Elm_Gengrid_Item * | obj | ) |

Control whether a given gengrid item is selected or not.

This API returns true for all the items selected in multi-select mode as well.

This sets the selected state of an item. If multi-selection is not enabled on the containing gengrid and `selected` is true, any other previously selected items will get unselected in favor of this new one.

Parameters

  [in] | obj | The object.

Returns
  The selected state ($true selected, `false` not selected)

References elm_obj_gengrid_item_selected_get().

## ◆ elm_gengrid_item_item_class_get()

const Elm_Gengrid_Item_Class * elm_gengrid_item_item_class_get | ( | const Elm_Gengrid_Item * | obj | ) |

Get the Gengrid Item class for the given Gengrid Item.

This returns the Gengrid_Item_Class for the given item. It can be used to examine the function pointers and item_style.

Parameters

  [in] | obj | The object.

Returns
  Gengrid Item class for the given item

References elm_obj_gengrid_item_class_get().

## ◆ elm_gengrid_item_index_get()

int elm_gengrid_item_index_get | ( | const Elm_Gengrid_Item * | obj | ) |

Get the index of the item.

It is only valid once displayed.

Parameters

  [in] | obj | The object.

Returns
  The position inside the list of item.

References elm_obj_gengrid_item_index_get().

## ◆ elm_gengrid_item_pos_get()

void elm_gengrid_item_pos_get | ( | const Elm_Gengrid_Item * | obj,
|  | unsigned int * | x,
|  | unsigned int * | y
| ) |  |

Get a given gengrid item's position, relative to the whole gengrid's grid area.

This returns the "logical" position of the item within the gengrid. For example, $(0, 1) would stand for first row, second column.

Parameters

  [in] | obj | The object.
  [out] | x | Pointer to variable to store the item's row number.
  [out] | y | Pointer to variable to store the item's column number.
  | it | The Gengrid item.
  | x | Pointer to variable to store the item's row number.
  | y | Pointer to variable to store the item's column number.

This returns the "logical" position of the item within the gengrid. For example, ``(0, 1) would stand for first row, second column.

## ◆ elm_gengrid_item_select_mode_set()

void elm_gengrid_item_select_mode_set | ( | Elm_Gengrid_Item * | obj,
|  | Elm_Object_Select_Mode | mode
| ) |  |

Control the gengrid item's select mode.

(If getting mode fails, it returns ELM_OBJECT_SELECT_MODE_MAX)

elm_gengrid_select_mode_set() changes item's select mode. - ELM_OBJECT_SELECT_MODE_DEFAULT : The item will only call their selection func and callback when first becoming selected. Any further clicks will do nothing, unless you set always select mode. - ELM_OBJECT_SELECT_MODE_ALWAYS : This means that, even if selected, every click will make the selected callbacks be called. - ELM_OBJECT_SELECT_MODE_NONE : This will turn off the ability to select the item entirely and they will neither appear selected nor call selected callback functions. - ELM_OBJECT_SELECT_MODE_DISPLAY_ONLY : This will apply no-finger-size rule with ELM_OBJECT_SELECT_MODE_NONE. No-finger-size rule makes an item can be smaller than lower limit. Clickable objects should be bigger than human touch point device (your finger) for some touch or small screen devices. So it is enabled, the item can be shrink than predefined finger-size value. And the item will be updated.

Parameters

  [in] | obj | The object.
  [in] | mode | The selected mode

Control the gengrid item's select mode.

Parameters

  it | The gengrid item object
  mode | The select mode

elm_gengrid_select_mode_set() changes item's select mode.

- ELM_OBJECT_SELECT_MODE_DEFAULT : The item will only call their selection func and callback when first becoming selected. Any further clicks will do nothing, unless you set always select mode.
- ELM_OBJECT_SELECT_MODE_ALWAYS : This means that, even if selected, every click will make the selected callbacks be called.
- ELM_OBJECT_SELECT_MODE_NONE : This will turn off the ability to select the item entirely and they will neither appear selected nor call selected callback functions.
- ELM_OBJECT_SELECT_MODE_DISPLAY_ONLY : This will apply no-finger-size rule with ELM_OBJECT_SELECT_MODE_NONE. No-finger-size rule makes an item can be smaller than lower limit. Clickable objects should be bigger than human touch point device (your finger) for some touch or small screen devices. So it is enabled, the item can be shrink than predefined finger-size value. And the item will be updated.

See also
  elm_gengrid_item_select_mode_get()

## ◆ elm_gengrid_item_select_mode_get()

Elm_Object_Select_Mode elm_gengrid_item_select_mode_get | ( | const Elm_Gengrid_Item * | obj | ) |

Control the gengrid item's select mode.

(If getting mode fails, it returns ELM_OBJECT_SELECT_MODE_MAX)

elm_gengrid_select_mode_set() changes item's select mode. - ELM_OBJECT_SELECT_MODE_DEFAULT : The item will only call their selection func and callback when first becoming selected. Any further clicks will do nothing, unless you set always select mode. - ELM_OBJECT_SELECT_MODE_ALWAYS : This means that, even if selected, every click will make the selected callbacks be called. - ELM_OBJECT_SELECT_MODE_NONE : This will turn off the ability to select the item entirely and they will neither appear selected nor call selected callback functions. - ELM_OBJECT_SELECT_MODE_DISPLAY_ONLY : This will apply no-finger-size rule with ELM_OBJECT_SELECT_MODE_NONE. No-finger-size rule makes an item can be smaller than lower limit. Clickable objects should be bigger than human touch point device (your finger) for some touch or small screen devices. So it is enabled, the item can be shrink than predefined finger-size value. And the item will be updated.

Parameters

  [in] | obj | The object.

Returns
  The selected mode

Control the gengrid item's select mode.

Parameters

  it | The gengrid item object

Returns
  The select mode (If getting mode is failed, it returns ELM_OBJECT_SELECT_MODE_MAX)

See also
  elm_gengrid_item_select_mode_set()

## ◆ elm_gengrid_item_custom_size_set()

void elm_gengrid_item_custom_size_set | ( | Elm_Gengrid_Item * | obj,
|  | int | w,
|  | int | h
| ) |  |

Custom size mode for non-homogeneous gengrid.

Resize dimensions of a gengrid item.

In case of a horizontal grid, only the widths only be resized and in case of vertical only the heights can be resized. Item size should be set by elm_gengrid_item_size_set() beforehand.

The values set by elm_gengrid_item_size_set() will be used for the dimension that remains fixed.

Parameters

  [in] | obj | The object.
  [in] | w | The item's width.
  [in] | h | The item's height.

Since
  1.19

References elm_obj_gengrid_item_custom_size_set().

## ◆ elm_gengrid_item_custom_size_get()

void elm_gengrid_item_custom_size_get | ( | const Elm_Gengrid_Item * | obj,
|  | int * | w,
|  | int * | h
| ) |  |

Custom size mode for non-homogeneous gengrid.

Get the dimensions of a gengrid item.

Gives the dimensions set with elm_gengrid_item_custom_size_set(). If the item has not been modified values set with elm_gengrid_item_size_set() are obtained.

Parameters

  [in] | obj | The object.
  [out] | w | The item's width.
  [out] | h | The item's height.

Since
  1.19

References elm_obj_gengrid_item_custom_size_get().

## ◆ elm_gengrid_item_show()

void elm_gengrid_item_show | ( | Elm_Gengrid_Item * | obj,
|  | Elm_Gengrid_Item_Scrollto_Type | type
| ) |  |

Show the portion of a gengrid's internal grid containing a given item, immediately.

This causes gengrid to redraw its viewport's contents to the region containing the given `item` item, if it is not fully visible.

Parameters

  [in] | obj | The object.
  [in] | type | Where to position the item in the viewport.

References elm_obj_gengrid_item_show().

## ◆ elm_gengrid_item_bring_in()

void elm_gengrid_item_bring_in | ( | Elm_Gengrid_Item * | obj,
|  | Elm_Gengrid_Item_Scrollto_Type | type
| ) |  |

Animatedly bring in, to the visible area of a gengrid, a given item on it.

This causes gengrid to jump to the given `item` and show it (by scrolling), if it is not fully visible. This will use animation to do so and take a period of time to complete.

Parameters

  [in] | obj | The object.
  [in] | type | Where to position the item in the viewport.

References elm_obj_gengrid_item_bring_in().

## ◆ elm_gengrid_item_update()

void elm_gengrid_item_update | ( | Elm_Gengrid_Item * | obj | ) |

Update the contents of a given gengrid item.

This updates an item by calling all the item class functions again to get the contents, texts and states. Use this when the original item data has changed and you want the changes to be reflected.

Parameters

  [in] | obj | The object.

References elm_obj_gengrid_item_update().

## ◆ elm_gengrid_item_fields_update()

void elm_gengrid_item_fields_update | ( | Elm_Gengrid_Item * | obj,
|  | const char * | parts,
|  | Elm_Gengrid_Item_Field_Type | itf
| ) |  |

Update the part of an item.

This updates an item's part by calling item's fetching functions again to get the contents, texts and states. Use this when the original item data has changed and the changes are desired to be reflected. Second parts argument is used for globbing to match '*', '?', and '.' It can be used at updating multi fields.

Use elm_gengrid_realized_items_update() to update an item's all property.

Parameters

  [in] | obj | The object.
  [in] | parts | The name of item's part
  [in] | itf | The type of item's part type

Since
  1.15

References elm_obj_gengrid_item_fields_update().

## ◆ elm_gengrid_item_item_class_update()

void elm_gengrid_item_item_class_update | ( | Elm_Gengrid_Item * | obj,
|  | const Elm_Gengrid_Item_Class * | itc
| ) |  |

Update the item class of a gengrid item.

This sets another class of the item, changing the way that it is displayed. After changing the item class, elm_gengrid_item_update() is called on the item `it`.

Parameters

  [in] | obj | The object.
  [in] | itc | The gengrid item class describing the function pointers and the item style.

References elm_obj_gengrid_item_class_update().

## ◆ elm_gengrid_item_all_contents_unset()

void elm_gengrid_item_all_contents_unset | ( | Elm_Gengrid_Item * | obj,
|  | Eina_List ** | l
| ) |  |

Unset all contents fetched by the item class.

This instructs gengrid to release references to contents in the item, meaning that they will no longer be managed by gengrid and are floating "orphans" that can be re-used elsewhere if the user wants to.

Parameters

  [in] | obj | The object.
  [out] | l | The contents list to return.

Since
  1.18

References elm_obj_gengrid_item_all_contents_unset().